var capacitorExample = (function (exports, core) {
    'use strict';

    const Example = core.registerPlugin('Example', {
        web: () => Promise.resolve().then(function () { return web; }).then(m => new m.ExampleWeb()),
    });

    class ExampleWeb extends core.WebPlugin {
        getDeviceInfo() {
            throw new Error('Method not implemented.');
        }
        async verify() {
            throw new Error('Method not implemented.');
        }
        async checkPrintStatus() {
            throw new Error('Method not implemented.');
        }
        async print(options) {
            return options;
        }
        async echo(options) {
            console.log('ECHO', options);
            return options;
        }
    }

    var web = /*#__PURE__*/Object.freeze({
        __proto__: null,
        ExampleWeb: ExampleWeb
    });

    exports.Example = Example;

    Object.defineProperty(exports, '__esModule', { value: true });

    return exports;

})({}, capacitorExports);
//# sourceMappingURL=plugin.js.map
